package com.zcloud.personnel.positioning.domain.gateway;

import com.zcloud.personnel.positioning.domain.model.AlarmDisposeRecordE;

/**
 * web-domain
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmDisposeRecordGateway {
    Boolean add(AlarmDisposeRecordE alarmDisposeRecordE);

    Boolean update(AlarmDisposeRecordE alarmDisposeRecordE);

    Boolean deletedAlarmDisposeRecordById(Long id);

    Boolean deletedAlarmDisposeRecordByIds(Long[] ids);
}
